| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::StrongClassifierDirectSelection Class Reference
Tracking API

`#include <opencv2/tracking/onlineBoosting.hpp>`

## Public Member Functions
| StrongClassifierDirectSelection (int numBaseClf, int numWeakClf, Size patchSz, const Rect &sampleROI, bool useFeatureEx=false, int iterationInit=0)
virtual | ~StrongClassifierDirectSelection ()
float | classifySmooth (const std::vector< Mat > &images, const Rect &sampleROI, int &idx)
float | eval (const Mat &response)
int | getNumBaseClassifier ()
Size | getPatchSize () const
int | getReplacedClassifier () const
Rect | getROI () const
std::vector< int > | getSelectedWeakClassifier ()
int | getSwappedClassifier () const
bool | getUseFeatureExchange () const
void | initBaseClassifier ()
void | replaceWeakClassifier (int idx)
bool | update (const Mat &image, int target, float importance=1.0)

## Constructor & Destructor Documentation

## ◆ StrongClassifierDirectSelection()

cv::StrongClassifierDirectSelection::StrongClassifierDirectSelection | ( | int | numBaseClf,
|  | int | numWeakClf,
|  | Size | patchSz,
|  | const Rect & | sampleROI,
|  | bool | useFeatureEx = `false`,
|  | int | iterationInit = `0`
| ) |  |

## ◆ ~StrongClassifierDirectSelection()

virtual cv::StrongClassifierDirectSelection::~StrongClassifierDirectSelection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ classifySmooth()

float cv::StrongClassifierDirectSelection::classifySmooth | ( | const std::vector< Mat > & | images,
|  | const Rect & | sampleROI,
|  | int & | idx
| ) |  |

## ◆ eval()

float cv::StrongClassifierDirectSelection::eval | ( | const Mat & | response | ) |

## ◆ getNumBaseClassifier()

int cv::StrongClassifierDirectSelection::getNumBaseClassifier | ( |  | ) |

## ◆ getPatchSize()

Size cv::StrongClassifierDirectSelection::getPatchSize | ( |  | ) | const

## ◆ getReplacedClassifier()

int cv::StrongClassifierDirectSelection::getReplacedClassifier | ( |  | ) | const

## ◆ getROI()

Rect cv::StrongClassifierDirectSelection::getROI | ( |  | ) | const

## ◆ getSelectedWeakClassifier()

std::vector<int> cv::StrongClassifierDirectSelection::getSelectedWeakClassifier | ( |  | ) |

## ◆ getSwappedClassifier()

int cv::StrongClassifierDirectSelection::getSwappedClassifier | ( |  | ) | const

## ◆ getUseFeatureExchange()

bool cv::StrongClassifierDirectSelection::getUseFeatureExchange | ( |  | ) | const

## ◆ initBaseClassifier()

void cv::StrongClassifierDirectSelection::initBaseClassifier | ( |  | ) |

## ◆ replaceWeakClassifier()

void cv::StrongClassifierDirectSelection::replaceWeakClassifier | ( | int | idx | ) |

## ◆ update()

bool cv::StrongClassifierDirectSelection::update | ( | const Mat & | image,
|  | int | target,
|  | float | importance = `1.0`
| ) |  |

The documentation for this class was generated from the following file:

- opencv2/tracking/onlineBoosting.hpp